System Requirements and Supported Browsers

At Workast, we mirror the list of browsers supported by Slack which can be found here. Please note that as of August 2021, Slack will be updating their minimum system requirements. As Workast uses the sign-on with Slack login function, Workast's minimum requirements may also change at that time.

  1. Chrome - version 66 and newer
  2. Firefox - version 60 and newer
  3. Safari - version 11.0 and newer
  4. Edge - Version 41 and newer
  5. Internet Explorer and Opera - no longer supported

Operating system requirements

  • Mac - OS X 10.11 or later
  • Windows - Windows 8 or later
  • Linux - Ubuntu LTS releases 16.04 or later (beta)
  • Linux - Fedora 28 or later (beta)
  • Linux - Red Hat Enterprise Linux 7.0 or later (beta)
  • iOS - iOS 12.2 or later
  • Android - Android 6.0 or later


Please note that Google suite single sign on with Slack is not supported by Workast.  Google suite SSO users will need to use the email login method to log in to Workast.  Learn how here.

Simplify teamwork

Install Workast to your Slack workspace and start organizing your teamwork today.

Get Started